// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import 'element-ui/lib/theme-chalk/index.css';
import ElementUI from 'element-ui';
Vue.use(ElementUI);

import "./worker-config"

import ArcMapUI from './packages/index'
Vue.use(ArcMapUI.apaasArcgisVueView);
Vue.use(ArcMapUI.apaasArcgisCusLayer);
Vue.use(ArcMapUI.apaasArcgisBaseLayer);
Vue.use(ArcMapUI.apaasArcgisSwitchBaseLayer);
Vue.use(ArcMapUI.apaasArcgisLocation);
Vue.use(ArcMapUI.apaasArcgisLayerManager);
Vue.use(ArcMapUI.apaasArcgisSearchPoi);

Vue.config.productionTip = false

/* eslint-disable no-new */
new Vue({
    el: '#app',
    router,
    components: { App },
    template: '<App/>'
})
