//引入组件
import apaasArcgisVueView from "./view/index"
import apaasArcgisVueMap from "./map/index"
import apaasArcgisBaseLayer from "./baseLayers/index"
import apaasArcgisCusLayer from "./customLayer/index"
import apaasArcgisSwitchBaseLayer from './switchBaseLayer/index'
import apaasArcgisLocation from './baseLayers/index'
import apaasArcgisLayerManager from './layerManager/index'
import apaasArcgisSearchPoi from './searchPoi/index'
//样式
//import "../../static/arcSCSS/_vars.scss"
import "../../static/arcSCSS/index.scss"
// import "../../static/arcSCSS/index.scss"
const components = [
    apaasArcgisVueView,
    apaasArcgisVueMap,
    apaasArcgisBaseLayer,
    apaasArcgisCusLayer,
    apaasArcgisSwitchBaseLayer,
    apaasArcgisLocation,
    apaasArcgisLayerManager,
    apaasArcgisSearchPoi
];

const install = function (Vue) {
    if (install.installed) return;
    components.map(component => Vue.component(component.name, component));
};

if (typeof window !== "undefined" && window.Vue) {
    console.log("传入参数install方法");
    install(window.Vue);
}

export default {
    apaasArcgisVueView,
    apaasArcgisVueMap,
    apaasArcgisBaseLayer,
    apaasArcgisCusLayer,
    apaasArcgisSwitchBaseLayer,
    apaasArcgisLocation,
    apaasArcgisLayerManager,
    apaasArcgisSearchPoi
};