//arcgisserver api
import FeatureLayer from "esri/layers/FeatureLayer";
//工具类
import {
    validate,
    validateParas,
    get as getConfig,
    getConfigParas
} from "./customSetting";

//创建热力图
function createHeatMap (config) {
    let heatmaplayer = new FeatureLayer(config);
    return heatmaplayer
}

//创建迁徙图
function createMigrateLayer (config) {

}
//创建聚合图
function createClusterLayer (config) {

}

//创建

export function createCustomLayer (key = "HeatMap") {
    if (!validate(key)) {
        return null;
    }
    const config = getConfig(key);
    let layer = null;
    switch (key) {
        case "HeatMap":
            layer = createHeatMap(config)
            break;
        case "MigrateLayer":
            layer = createMigrateLayer(config);
            break;
        case "ClusterLayer":
            layer = createClusterLayer(config);
            break;
    }
    return layer;
}

export function createCustomLayers (paras = [{ type: "HeatMap", URL: "" }]) {
    if (!validateParas(paras)) {
        return null;
    }
    const configParas = getConfigParas(paras);
    let layers = [];
    console.log(configParas + layers);
}
