let ArcgisMapConfig = null;
export default ArcgisMapConfig = {
    view: {
        //现在将view与map放进同一个view组件的，暂时没有拆开
        center: [120, 24],
        zoom: 8,
        type: "Amap"   //原始加载底图类型  （高德底图）
    },
    //主题图层 （热力图，迁徙图等等）
    customLayer: {
        heatMapLayer: {
            type: "HeatMap",
            show: true
        },
        migrateLayer: {
            type: "Migrate",
            show: false
        }
    },
    //底图图层（包括非主题图层）
    baseLayer: {
        mapServer: {
            //mapserver只需要这两个参数就OK了
            type: "ArcgisMapServer",
            url: "http://apaasgis.wodcloud.com/server/rest/services/ZJ_CX_ZZ/MapServer",
            show: true,
        },
        baseLayer: {
            //作为底图的只需要一个参数type,因为一般作为底图的都比较固定，要么是天地图，要么是高德之类
            type: "TDTVector"
        }

    },
    //控件
    //切换底图
    switchBaseLayer: {
        show: true
    }
}